package org.aaaa.impl;


import java.util.Timer;
import java.util.TimerTask;

import javax.annotation.PostConstruct;
import javax.annotation.PreDestroy;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.aaaa.HelloWorldService;

@Service("helloWorldServiceConsumer")
public class HelloWorldServiceConsumerImpl  {
	
	private static final Logger LOG = LoggerFactory.getLogger(HelloWorldServiceConsumerImpl.class);

	
	Timer timer = new Timer();
	
	@Autowired
	HelloWorldService service;
	
	@PostConstruct
	protected void start() {
		LOG.info(this.getClass().getSimpleName() + ".start()");
		TimerTask task = new TimerTask() {
			
			@Override
			public void run() {
				try {
					LOG.info("Running task");
					service.sayHello("Rigas");
				} catch (Throwable th) {
					LOG.error("Error: ", th);
				}
				
			}
		};
		timer.schedule(task, 0, 2000);
		
	}
	
	@PreDestroy
	protected void stop() {
		LOG.info(this.getClass().getSimpleName() + ".stop()");
	}

}
