package org.aaaa.impl;


import javax.annotation.PostConstruct;
import javax.annotation.PreDestroy;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import org.aaaa.HelloWorldService;

@Service("helloWorldService")
public class HelloWorldServiceImpl implements HelloWorldService {
	
	private static final Logger LOG = LoggerFactory.getLogger(HelloWorldServiceImpl.class);
	 
	private String greeting = "Hello";
	
	
	@PostConstruct
	protected void start() {
		LOG.info(this.getClass().getSimpleName() + ".start()");
	}
	
	@PreDestroy
	protected void stop() {
		LOG.info(this.getClass().getSimpleName() + ".stop()");
	}

	protected void setGreeting(String greeting) {
		this.greeting = greeting;
	}
	
	@Override
	public String sayHello(String name) {
		LOG.info("sayHello: " + name);	
		return greeting + " " + name;
	}
	
}
